GNU bug report logs - #3038
23.0.91; after-change-functions and indirect buffers

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lennart Borgman <lennart.borgman@HIDDEN>; merged with #3018; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 3038 <at> debbugs.gnu.org and Lennart Borgman <lennart.borgman@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 3038 <at> debbugs.gnu.org:


Received: (at 3038) by debbugs.gnu.org; 1 May 2022 10:00:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 06:00:21 2022
Received: from localhost ([127.0.0.1]:59632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nl6NJ-0002SJ-Fp
	for submit <at> debbugs.gnu.org; Sun, 01 May 2022 06:00:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nl6NH-0002Rw-R9; Sun, 01 May 2022 06:00:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=UyFn/jSbxvM5FP8TaSsFFgl5qWtMHm9DK1fV/9QXU8Q=; b=qh3A84vzPKJ0fvZ2qs5jSK9Zkv
 V2WPiBnislZV3w4k22dgydtyefT8KTnnjRXLpkrje/tf6oqR4/KW4AduOWyRTDRdR60d5LWREMcGk
 vKHCEDkHoMTLIuTk9qJg1eL9ged8opcrqHKOVVxcobEAhJAYfY1wq31RQGT0MWxegVeM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nl6N9-0002ip-8K; Sun, 01 May 2022 12:00:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: <klaus.berndl@HIDDEN>
Subject: Re: bug#3038: 23.0.91; after-change-functions and indirect buffers
References: <84D8FEFE8D23E94E9C2A6F0C58EE07E30239ADFA@HIDDEN>
X-Now-Playing: David Byrne's _The Catherine Wheel (expanded)_: "Light Bath"
Date: Sun, 01 May 2022 12:00:10 +0200
In-Reply-To: <84D8FEFE8D23E94E9C2A6F0C58EE07E30239ADFA@HIDDEN> (klaus
 berndl's message of "Thu, 16 Apr 2009 17:46:30 +0200")
Message-ID: <87o80hpo7p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  <klaus.berndl@HIDDEN> writes: > AFAICS the new
 hook `clone-indirect-buffer-hook' of Emacs 23 is not > used by the command
 `make-indirect-buffer-hook' or is it? If not: why > not? (I'm going through
 old bug reports that unfortunately weren't resolved at the time.) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 3038
Cc: 3018 <at> debbugs.gnu.org, 3038 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

<klaus.berndl@HIDDEN> writes:

> AFAICS the new hook `clone-indirect-buffer-hook' of Emacs 23 is not
> used by the command `make-indirect-buffer-hook' or is it? If not: why
> not?

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Skimming this bug report, it seems like it was agreed that this works as
designed.  There was then some discussion about after-change-functions,
but this bug report doesn't seem actionable, so I'm closing it.  If
there is something that should be done in this area, opening a new bug
report and restating the issue would be the way forward.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#3038; Package emacs. Full text available.
Removed tag(s) notabug and wontfix. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 3038 <at> debbugs.gnu.org:


Received: (at 3038) by debbugs.gnu.org; 19 Feb 2013 03:07:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 18 22:07:39 2013
Received: from localhost ([127.0.0.1]:35591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U7dYQ-0002CO-UL
	for submit <at> debbugs.gnu.org; Mon, 18 Feb 2013 22:07:39 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:36864)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1U7dYP-0002CH-4E
	for 3038 <at> debbugs.gnu.org; Mon, 18 Feb 2013 22:07:37 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFsoXXp/2dsb2JhbABEvw4Xc4IeAQEEAVYjEAsOJhIUGA0kiB4GwS2OLoJcA4hhnBmBXoJqKw
X-IPAS-Result: Av4EABK/CFFsoXXp/2dsb2JhbABEvw4Xc4IeAQEEAVYjEAsOJhIUGA0kiB4GwS2OLoJcA4hhnBmBXoJqKw
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="1698800"
Received: from 108-161-117-233.dsl.teksavvy.com (HELO fmsmemgm.homelinux.net)
	([108.161.117.233])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	18 Feb 2013 22:06:32 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
	id CFC65AE500; Mon, 18 Feb 2013 22:06:30 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#3038: 23.0.91; after-change-functions and indirect buffers
Message-ID: <jwvvc9pf1mz.fsf-monnier+emacs@HIDDEN>
References: <e01d8a50904170712u28cc6e10i3b507aad0da7dfc0@HIDDEN>
	<6xzjz12gz4.fsf@HIDDEN>
Date: Mon, 18 Feb 2013 22:06:30 -0500
In-Reply-To: <6xzjz12gz4.fsf@HIDDEN> (Glenn Morris's message of
	"Mon, 18 Feb 2013 21:08:15 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 3038
Cc: 3038 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

>> I got this from Eric Ludlam. There seem to be a problem with
>> after-change-functions and indirect buffers. To me this looks like a
>> bug:
>> "Yes, I use after-change-functions.  ...
>> If you edit the base buffer, these functions don't get run in the
>> indirect buffer, but if you edit the indirect buffer, they do get run,
>> but not in the base buffer."
> It doesn't look like a bug to me.  You'll have to explicitly check for
> indirect buffers if that matter to you.

While it "works as designed" I can imagine it breaks lots of code which
assumes that an after-change-function lets you be kept informed of "all"
buffer modifications.
IOW, even if it's not a bug in after-change-functions, it's then a bug
in syntax-ppss, font-lock, and probably many other packages using
after-change-function.


        Stefan


PS: FWIW, I'm not sure indirect-buffers are a good idea.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#3038; Package emacs. Full text available.
Added tag(s) notabug and wontfix. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 3038 <at> debbugs.gnu.org:


Received: (at 3038) by debbugs.gnu.org; 19 Feb 2013 02:09:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 18 21:09:22 2013
Received: from localhost ([127.0.0.1]:35525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U7ce1-00079g-9i
	for submit <at> debbugs.gnu.org; Mon, 18 Feb 2013 21:09:22 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:36591)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1U7cdz-00079Z-9v
	for 3038 <at> debbugs.gnu.org; Mon, 18 Feb 2013 21:09:20 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1U7ccx-0003MV-PM; Mon, 18 Feb 2013 21:08:15 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 3038 <at> debbugs.gnu.org
Subject: Re: bug#3038: 23.0.91; after-change-functions and indirect buffers
References: <e01d8a50904170712u28cc6e10i3b507aad0da7dfc0@HIDDEN>
X-Spook: Abu Ghraib TWA CDMA threat Reno Blowfish bomb Taiwan
X-Ran: 6)52:kbX_Jsl8.#'Dm.}:>!yr$Xx_jd{!`jVK#k,AF!jFCH4)VTw!KvKe22FSb(Ck%'@vs
X-Hue: blue
X-Attribution: GM
Date: Mon, 18 Feb 2013 21:08:15 -0500
In-Reply-To: <e01d8a50904170712u28cc6e10i3b507aad0da7dfc0@HIDDEN>
	(Lennart Borgman's message of "Fri, 17 Apr 2009 16:12:54 +0200")
Message-ID: <6xzjz12gz4.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 3038
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.6 (-----)

Lennart Borgman wrote:

> I got this from Eric Ludlam. There seem to be a problem with
> after-change-functions and indirect buffers. To me this looks like a
> bug:
>
> "Yes, I use after-change-functions.  ...
>
> If you edit the base buffer, these functions don't get run in the
> indirect buffer, but if you edit the indirect buffer, they do get run,
> but not in the base buffer."

It doesn't look like a bug to me. You'll have to explicitly check for
indirect buffers if that matter to you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#3038; Package emacs. Full text available.
Merged 3018 3038. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 17 Apr 2009 21:31:32 +0000
From lennart.borgman@HIDDEN Fri Apr 17 14:31:32 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.0 required=4.0 tests=none autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3HLVDUb018864
	for <submit@HIDDEN>; Fri, 17 Apr 2009 14:31:30 -0700
Received: from mail.gnu.org ([199.232.76.166]:58275 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <lennart.borgman@HIDDEN>)
	id 1LuooP-0004Jy-N6
	for emacs-pretest-bug@HIDDEN; Fri, 17 Apr 2009 10:13:01 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <lennart.borgman@HIDDEN>)
	id 1LuooP-00086P-2Z
	for emacs-pretest-bug@HIDDEN; Fri, 17 Apr 2009 10:13:01 -0400
Received: from mail-bw0-f215.google.com ([209.85.218.215]:40570)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <lennart.borgman@HIDDEN>)
	id 1LuooO-00085t-6w
	for emacs-pretest-bug@HIDDEN; Fri, 17 Apr 2009 10:13:00 -0400
Received: by bwz11 with SMTP id 11so940051bwz.42
        for <emacs-pretest-bug@HIDDEN>; Fri, 17 Apr 2009 07:12:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:mime-version:received:date:message-id:subject
         :from:to:content-type:content-transfer-encoding;
        bh=GkPosx4YLfqCpykpRudWBxv+hc5Srb28btVrs/B0mHA=;
        b=d9X07zdZxKF3wc9Z+iQZZF5zF4dLDplVQlO8Q3mD2bRMhUjyGokuM3R68w7Rhi8mYQ
         Xbx1b3KE30Dim6NwsCwa6w5PInkPBVAHKtiVkIMJ8E0FOTAbYmCjrrel/bOwntDwQBKq
         ii4tcOw8FzVsi1PGOH53BRFadOB3U1TRjKEUE=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:date:message-id:subject:from:to:content-type
         :content-transfer-encoding;
        b=Tt5gLbTn8jBDh5ru32fpXxyy1AMZoBvv2K+NPWTMIeTi06D0/7hpUVlmTaJDGwD+DU
         AHZBSxDIWnm2qgjbfl4keTqOaiOd4tvkhPKUaKSJ+FYdG2mZ7Xd+FW51FTivOMsfXHbH
         NWtK3wuuzsLu2zeUN+sin2T3/aZwzKbuuBGJQ=
MIME-Version: 1.0
Received: by 10.223.110.4 with SMTP id l4mr758456fap.47.1239977574201; Fri, 17 
	Apr 2009 07:12:54 -0700 (PDT)
Date: Fri, 17 Apr 2009 16:12:54 +0200
Message-ID: <e01d8a50904170712u28cc6e10i3b507aad0da7dfc0@HIDDEN>
Subject: 23.0.91; after-change-functions and indirect buffers
From: Lennart Borgman <lennart.borgman@HIDDEN>
To: emacs-pretest-bug@HIDDEN, "Eric M. Ludlam" <eric@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

I got this from Eric Ludlam. There seem to be a problem with
after-change-functions and indirect buffers. To me this looks like a
bug:

"Yes, I use after-change-functions.  ...

If you edit the base buffer, these functions don't get run in the
indirect buffer, but if you edit the indirect buffer, they do get run,
but not in the base buffer."


In GNU Emacs 23.0.91.1 (i386-mingw-nt5.1.2600)
 of 2009-02-26




Acknowledgement sent to Lennart Borgman <lennart.borgman@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3038; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 1 May 2022 10:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.